Modify

Opened 6 years ago

Closed 6 years ago

#9380 closed enhancement (fixed)

detect and remove motor_vehicle = yes from highway=motorway, primary, secondary, tertiary etc

Reported by: mkoniecz Owned by: team
Priority: normal Milestone: 14.01
Component: Core validator Version:
Keywords: Cc:

Description (last modified by mkoniecz)

This kind of "data" is result of confusing interface in iD editor (I know because I added or at least attempted to add thing like this).

osmwww:browse/way/126376304 was affected till manual detection and fix

suggested list of highway types included in this check motorway, motorway_link trunk, trunk_link, primary, primary_link, secondary, secondary_link, tertiary, tertiary_link, residential, living_street, unclassified, service

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-11-27 17:47:56
Last Changed Author: Don-vip
Revision: 6418
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-11-26 17:24:06 +0100 (Tue, 26 Nov 2013)
Last Changed Rev: 6418

Identification: JOSM/1.5 (6418 en_GB) Windows 7 32-Bit
Memory Usage: 87 MB / 247 MB (14 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) Client VM
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (29854)
Plugin: notes (v0.6)

Attachments (0)

Change History (10)

comment:1 Changed 6 years ago by mkoniecz

Summary: detect and remove motor_vehicle = yes from highway=motorway, primary, secondary, tertiarydetect and remove motor_vehicle = yes from highway=motorway, primary, secondary, tertiary etc

comment:2 Changed 6 years ago by mkoniecz

Description: modified (diff)

comment:3 Changed 6 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 6435/josm:

fix #9279, fix #9380, fix #9391, fix #9392 - validator/tagchecker:

  • greek_catholic should not trigger "unknown christian denomination"
  • detect motor_vehicle=yes from highway=motorway, primary, secondary, tertiary etc.
  • detect highway=proposed with access=*
  • detect landuse tagged buildings

comment:4 Changed 6 years ago by anonymous

Would reporting (foot=yes with highway=footway) and (bicycle=yes with highway=cycleway) also make sense?

comment:5 Changed 6 years ago by mkoniecz

IMHO yes, I suggested it as #9257

Last edited 6 years ago by mkoniecz (previous) (diff)

comment:6 Changed 6 years ago by mkoniecz

It is half finished - validator reports this, but it can also be fixed in automatic way (via clicking on "Fix" button) as it is always incorrect.

See osmwww:browse/way/155221402 and osmwww:browse/way/21094558 for examples

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-12-06 00:45:49
Last Changed Author: simon04
Revision: 6442
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-12-05 23:26:24 +0100 (Thu, 05 Dec 2013)
Last Changed Rev: 6442

Identification: JOSM/1.5 (6442 en_GB) Windows 7 32-Bit
Memory Usage: 67 MB / 247 MB (19 MB allocated, but free)
Java version: 1.7.0_17, Oracle Corporation, Java HotSpot(TM) Client VM
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (29854)
Plugin: buildings_tools (30057)
Plugin: notes (v0.6)
Version 1, edited 6 years ago by mkoniecz (previous) (next) (diff)

comment:7 Changed 6 years ago by mkoniecz

Resolution: fixed
Status: closedreopened

comment:8 Changed 6 years ago by mkoniecz

Description: modified (diff)

comment:9 Changed 6 years ago by Don-vip

Milestone: 14.01

comment:10 Changed 6 years ago by simon04

Resolution: fixed
Status: reopenedclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.